EDIT - bug #9290

stop setting Registration.citation as citation for TypeDesignations in all type editors by default
11/10/2020 04:59 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal Found in Version:

Description

As shown in the analysis ( TaxonName and Typedesignation citations unequal_diff.xlsx ) using the Registration.citation as citation for
TypeDesignations currently causes inconsistencies.

In many cases the Name.nomenclaturalReference is a Section of an Article. Due to the mechanism currently implemented the
TypeDesignations receive the Atrticle instead, the article which is the in-reference of the section. This could be corrected for all the
found inconsistent cases bout would impose a complex management in the Ul to adjust the typeDesignation.citation in case the
section reference in the name is being changed.

It is better to stop using the Registration.citation as citation for TypeDesignations in all type editors since this does not conform to the
intended use of the TypeDesignations.citation property.

This also involves to hide the citation and ciation detail for all NameTypes which have
NameTypeDesignationStatus.hasDesignationSource() == false

Update (2020-11-13):
There is a crucial misconception in the SpecimenTypeDesignationWorkingSetDTO:

The SpecimenTypeDesignationWorkingsetEditorPresenter.loadBeanByld(Object identifier) receives in the identifier object the
referenceld from the RegistrationWorkingsetPresenter.onTypeDesignationWorkingsetAdd(TypeDesignationWorkingsetEditorAction
event) method where the reference of the RegistrationWorkingset (e.g. Article) is passed to the type designation workingset:

identifierSet = new TypeDesignationWorkingsetEditorIdSet (
event .getRegistrationUuid(),
getView() .getCitationUuid(),
// FIXME This may pass the reference (e.g. Article) from RegistrationWorkingsetView

// to the TypeDesignationWorkingset even if the nomenclatural act is a Section !!! ——-> #9290
typifiedNameUuid
)i

The SpecimenTypeDesignationWorkingSetServicelmpl.save(SpecimenTypeDesignationWorkingSetDTO<? extends
VersionableEntity> dto) in erroneously saves the citation with each of the SpecimenTypeDesignations.

This is the cause for in inconsistend data which has been shown in the Excel sheet.
For a solution to this problem the following is needed:

1. 'SpecimenTypeDesignationWorkingSetServicelmpl.save(SpecimenTypeDesignationWorkingSetDTO<? extends
VersionableEntity> dto)": Stop setting the citation before saving. DONE

2. If the citation is somehow really for the workflow and there is no way to chanage this, we should rather pass the registration
reference in RegistrationWorkingsetPresenter.onTypeDesignationWorkingsetAdd(TypeDesignationWorkingsetEditorAction
event) DONE

3. SpecimenTypeDesignationEditor: Add fields for citation and citationDetail --> #9301 DONE

Related issues:

Related to EDIT - task #9291: Clear all unnecesary TypeDesignation.citation e... Closed
Related to EDIT - feature request #9301: SpecimenTypeDesignationEditor: Add f... Closed
Related to EDIT - bug #9302: Phycobank related issues for TypeDesignation for... In Progress
Related to EDIT - task #9308: Supress "designated by" reference in portal in ... Closed
Related to EDIT - feature request #9324: Enable designation reference editing... Closed
Related to EDIT - bug #9468: specimen type of existing name cannot be saved Worksforme
Related to EDIT - bug #9568: TypeSpecimenEditor: Selection of a reference of ... Closed

Associated revisions

Revision da219650 - 11/18/2020 11:49 AM - Andreas Kohlbecker

ref #9290 comment on typdesignation citation problem

Revision 508b8f01 - 01/19/2021 04:18 PM - Andreas Kohlbecker

ref #9290 NameTypeDesignationEditor now using designation reference correctly

Revision 9153109 - 01/20/2021 09:43 AM - Andreas Kohlbecker

ref #9290 SpecimenTypeDesignationEditor now using designation reference correctly

Revision cc9c04a4 - 01/20/2021 10:25 AM - Andreas Kohlbecker
ref #9290 cleaning up

Revision 0b71a670 - 01/20/2021 01:32 PM - Andreas Kohlbecker
ref #9290 making TypeDesignationWorkingsetEditorldSet --> TypeDesignationWorkingsetlds more clear

Revision d7d6bc83 - 01/20/2021 01:39 PM - Andreas Kohlbecker
ref #9290 making TypeDesignationWorkingsetEditorldSet --> TypeDesignationWorkingsetlds more clear

Revision c27b3a19 - 01/20/2021 02:11 PM - Andreas Kohlbecker
ref #9290 castTo method for TypedEntityReference

Revision 303a8ebc - 01/26/2021 02:51 PM - Andreas Kohlbecker

ref #9290 limiting designation sources to the publication unit and sub sections in NameTypeDesignationEditor

Revision 8822b122 - 01/29/2021 12:12 PM - Andreas Kohlbecker

ref #9290 limiting available designation status types for nom acts without a name - SpecimenTypeDesignationEditor

Revision 1756340a - 02/01/2021 10:22 AM - Andreas Kohlbecker

ref #9290 limiting available designation status types for nom acts without a name - NameTypeDesignationEditor & improving previous code

History

#1 - 11/10/2020 05:05 PM - Andreas Kohlbecker

- Related to task #9291: Clear all unnecesary TypeDesignation.citation entities and citationDetails added

#2 - 11/10/2020 05:07 PM - Andreas Kohlbecker

- Description updated

#3 - 11/10/2020 05:13 PM - Andreas Kohlbecker

- Description updated

#4 - 11/10/2020 05:14 PM - Andreas Kohlbecker

- Description updated

#5 - 11/10/2020 05:14 PM - Andreas Kohlbecker

- Description updated

#6 - 11/13/2020 04:35 PM - Andreas Kohlbecker

- File TaxonName and Typedesignation citations unequal _diff.xIsx added

Update to the Excel file.

Now the reference type is also shown.
"Irregular" Reference Types are highlighted.

#7 - 11/13/2020 04:37 PM - Andreas Kohlbecker

- File deleted (TaxonName and Typedesignation citations unequal_diff.xlsx)

#8 - 11/13/2020 06:10 PM - Andreas Kohlbecker
- Related to feature request #9301: SpecimenTypeDesignationEditor: Add fields for citation and citationDetail added

#9 - 11/13/2020 06:33 PM - Andreas Kohlbecker
- Description updated

#10 - 11/14/2020 08:18 PM - Andreas Miiller
- Related to bug #9302: Phycobank related issues for TypeDesignation formatting added

#11 - 11/18/2020 03:54 PM - Andreas Kohlbecker
- Related to task #9308: Supress "designated by" reference in portal in registration ListView and RegistrationWorkingSetEditor added

#12 - 01/20/2021 01:38 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Hi Henning, could you please make some tests in the test-server to make sure the changes are not causing problems with exiting specimen- and
name-type-designations and if creating new ones works well.

The "Citation"-field in the name type designation editor has been re-labeled to "Designation reference" in order to better clarify its purpose. Are you ok
with this or do you prefer something else?

BTW: The "Designation reference" still cant be edited. this is subject to another ticket: #9301

#13 - 01/21/2021 12:27 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#14 - 01/22/2021 07:10 PM - Wolf-Henning Kusber

re-labeled to "Designation reference": perfect
function is there but not user-friendly

Only the references in used in the Working set = Reference of the designation plus all sections within the Reference of the registration working set
should be available for selection, not more.

Problems arise when differing references are selected, or selected references of unpublished registrations have been changed (Validation errors, that
cannot be handled by users or curators).

#15 - 01/22/2021 07:23 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70

Selection disabled/enabled in SpecimenTypeDesignationEditor see #9301
Selection disabled/enabled in NameTypeDesignationEditor is correct.

#16 - 01/22/2021 07:38 PM - Wolf-Henning Kusber

Published Specimen Types which are holotypes are displayed as "designated by" in Vaadin. For new names this is now impossible. Workaround:
unlock the record, open type, safe type, than the unnecessary "designated by" is gone.

#17 - 01/26/2021 02:50 PM - Andreas Kohlbecker

- Subject changed from stop using the Registration.citation as citation for TypeDesignations in all type editors to stop setting Registration.citation as
citation for TypeDesignations in all type editors by default

#18 - 01/26/2021 02:51 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress

- % Done changed from 70 to 50
#19 - 01/29/2021 10:52 AM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#20 - 02/01/2021 10:31 AM - Andreas Kohlbecker

- Related to feature request #9325: Enable section in specimen type designation added

#21 - 02/01/2021 10:32 AM - Andreas Kohlbecker

- Related to deleted (feature request #9325: Enable section in specimen type designation)

#22 - 02/01/2021 10:34 AM - Andreas Kohlbecker

- Related to feature request #9324: Enable designation reference editing in name type designation added

#23 - 02/01/2021 10:53 AM - Andreas Kohlbecker
- Description updated
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

this ticket is fully solved now, please review

#24 - 02/04/2021 07:36 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Reference is now selectable in relevant cases, but not anymore a default.

#25 - 02/05/2021 08:13 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#26 - 02/05/2021 06:22 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.20

#27 - 02/16/2021 08:02 AM - Andreas Kohlbecker

- Related to bug #9468: specimen type of existing name cannot be saved added

#28 - 04/13/2021 03:02 PM - Andreas Kohlbecker
- Related to bug #9568: TypeSpecimenkEditor: Selection of a reference of an typified image added

Files

TaxonName and Typedesignation citations unequal_diff.xIsx 163 KB 11/13/2020
